/* 
    Air Datepicker Start
 */
    .datepickers-container .datepicker 
    {
        z-index: 999999999;
    }
 /* 
    Air Datepicker End
 */
input[type="search"]::-webkit-search-cancel-button {
  /*Bootstrap 4 override*/
  -webkit-appearance: searchfield-cancel-button;
}

.input-group-transparent .input-group-addon
{
    background: transparent;
}
.input-group-transparent input:first-child
{
    border-right: 0px;
}
.input-group-transparent input:last-child
{
    border-left: 0px;
}
.navbar-nav.nav-side a
{
    padding-left: 10px;
}
.navbar-nav.nav-side a i
{
    font-size: 2.5rem;
}

/*Added by Dhoni*/
.btn.btn-no-padding
{
    padding: 6px 12px !important;
}
label.label-title
{
    display: block;
    font-weight: 500;
    font-size: 1rem;
}
.content-distributed
{
    display: flex;
    align-items: center;
}
.content-center
{
    display: flex;
    justify-content: center;
}
.content-one-line
{
    display: flex;
    justify-content: space-between;
}
.btn-transparent
{
    background-color: transparent;
    width: 30px;
    height: 30px;
    padding: 0px 14px !important;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
}
.btn-transparent:hover
{
    background-color: rgba(0,0,0,.1);
}
.roboto
{
    font-size: "Roboto", sans-serif;
}
.ellipsis
{
    white-space: nowrap; 
    overflow: hidden;
    text-overflow: ellipsis;
}
.light
{
    font-weight: 300;
}
.text-white
{
    color: white !important;
}
.text-main
{
    color: #c0392b;
}
.text-greensea
{
    color: rgba(22,160,133,1) !important;
}
.bg-main
{
    background-color: #c0392b !important;
    color: white;
}
.bg-main *
{
    color: white;
}
.bg-yellow
{
    background-color: #F9BF3B !important;
    color: white;
}
.bg-yellow *
{
    color: white;
}

.bg-green
{
    background-color: #049372 !important;
    color: white;
}
.bg-green *
{
    color: white;
}

.bg-orange
{
    background-color: #F9690E !important;
    color: white;
}
.bg-orange *
{
    color: white;
}
.bg-greensea
{
    background-color: rgba(22,160,133,1) !important;
    color: white;
}
.bg-greensea *
{
    color: white;
}

.bg-red-burik
{
    background-color: #e05d6f !important;
    color: white;
}
.bg-red-burik *
{
    color: white;
}

.bg-blue
{
    background-color: #418bca !important;
    color: white;
}
.bg-blue *
{
    color: white;
}


.bg-purple
{
    background-color: #9B59B6 !important;
    color: white;
}
.bg-purple *
{
    color: white;
}

.text-dark
{
    color: #353132;
}
.bg-dark
{
    background-color: #353132;
    color: white;
}
.bg-blue *
{
    color: white;
}
.no-padding
{
    padding-top: 0px !important;
    padding-bottom: 0px !important; 
}
.bg-transparent
{
    background-color: transparent;
}

table th
{
    vertical-align: middle !important;
}
.table.dark-table thead tr th
{
    color: white;
    background-color: #333;
    padding: 10px 8px;
    text-align: center;
    vertical-align: middle;
}
.card-container
    {
        display: flex;
        justify-content: space-between;
        flex-wrap: wrap;
    }
        .card-box
        {
            width: calc(100% / 4);
            padding: 10px 10px 10px 0px;
        }
            
            .card-wrapper
            {
                border: 1px solid #eee;
                padding-bottom: 0px;
                background-color: white;
            }
            
            .card-body
            {

                
                min-height: 100px;
                padding: 15px 10px;

            }
            .card-action
            {
                display: flex;
                width: 100%;
                border-top: 1px solid #eee;
            }
                .card-action>a
                {
                    padding: 8px;
                    text-align: center;
                    justify-content: space-between;
                    flex-grow: 1;
                }
                .card-action>a:not(:last-child)
                {
                    border-right: 1px solid #eee;
                }

[column]{flex-direction: column;}
[column][reserved]{flex-direction: column-reverse;}
[distributed]
{
    display: flex;
    justify-content: center;
    align-items: center;
}
.btn .top-nav-icon-badge
{
    position: absolute;
    right: -10px;
    top: -10px;
    padding: 3px 8px;
    border-radius: 50px;
}
.divider-name
{
    width: 100%;
    position: relative;
    z-index: 3;
    background-color: white;
}
    .divider-name:after
    {
        border: 1px solid #333;
        width: 100%;
        position: absolute;
        z-index: 2;
        content: "";
        left: 0;
        top: 50%;
    }
.table.dataTable th:after,
.table.dataTable td:after
{
    content: '' !important;
}
.btn-action-table
{
    padding: 5px 8px !important;
}
.characterlength:after
{

}

/*datatable*/
.pagination>li>a, .pagination>li>span { border-radius: 50% !important;margin: 0 5px; font-size: 1.5rem; height: 35px; width: 35px; display: flex; align-items: center; justify-content: center;}
.dataTables_wrapper .dataTables_paginate .paginate_button.current[data-dt-idx], .dataTables_wrapper .dataTables_paginate .paginate_button.current, .dataTables_wrapper .dataTables_paginate .paginate_button.current:hover
{
    background: unset !important;
    background: #0098a3 !important;
    border: solid 1px #0098a3 !important;
    color: white !important;
}
.dataTables_wrapper .dataTables_paginate .paginate_button[data-dt-idx]:not(.disabled):hover
{
    background: unset !important;
    background: #0098a3 !important;
    border: solid 1px #0098a3 !important;
}

/*SIDEBAR LEFT*/
.fixed-sidebar-left .nicescroll-bar li.active
{
    background-color: rgba(22,160,133,1);
    /*background-color: #c0392b;*/
    position: relative;
}
/*.fixed-sidebar-left .nicescroll-bar>li.active:after
{
    position: absolute;
    right: 0;
    content: "";
    width: 0;
    height: 0;
    border-top: 12px solid transparent;
    border-right: 12px solid #2a3e4c;
    border-bottom: 12px solid transparent;
    top: 5px;
}*/
.fixed-sidebar-left .nicescroll-bar li.active>a
{
    color: #fff !important;
}

/*dashboard panel*/
.panel.dashboard-panel
{
    border-radius: 0px;
}
    .panel.dashboard-panel .panel-title
    {
        padding-top: 10px;
        padding-bottom: 10px;
        white-space: nowrap; 
        overflow: hidden;
        text-overflow: ellipsis;
    }
    .panel.dashboard-panel .panel-heading
    {
        padding: 0px;
    }
    .panel.dashboard-panel .toolbar
    {
        padding: 0px;
        display: flex;
        justify-content: flex-end;
        background-color: transparent;
    }
    .panel.dashboard-panel .toolbar .toolbar-end
    {
        justify-content: flex-end;
    }
    .panel.dashboard-panel .toolbar .btn-toolbar.auto-width
    {
        padding-left: 5px;
        padding-right: 5px;
    }
    .panel.dashboard-panel .toolbar .btn-toolbar:hover
    {
        border-bottom: unset !important;
        border-top: unset !important;
        border-right: unset !important;
    }
    .panel.dashboard-panel .toolbar .btn-toolbar
    {
        background-color: transparent;
        color: white !important;
        padding-top: 8px;
        padding-bottom: 8px;
        border-radius: 0px;
        border-top: unset !important;
        border-bottom: unset !important;
        border-right: unset !important;
        margin-right: 6px;
    }
    .panel.dashboard-panel .toolbar .btn-toolbar:last-of-type
    {
        margin-right: 0px;
        border-right: unset  !important;
    }

    .folar-divider
    {
        display: block;
        border-bottom: 1px solid #aaa;
        padding-bottom: 1px;
    }

    /*select 2*/
    .select2-selection__choice
    {
        padding: 5px !important;
        color: #333 !important;
    }
    .select2-container--default .select2-selection--single
    {
        border: unset !important;

    }

/*Login panel*/
.input-group input.form-control:first-child
{
    border-right: none;
}
.input-group-addon input.form-control:last-child
{
    border-left: none;
}
#sign #login-box
{
    width: 90%; height: 80vh;
}
#sign #login-box .login-box--form
{
    background-color: rgb(247,247,247); height: 80vh;overflow: auto;padding-bottom: 2em;
}
@media only screen and (max-width: 1999px) {
    #sign #login-box
    {
        width: 90% !important; height: 80vh;
    }
}
@media only screen and (min-width: 1200px) {
    #sign #login-box
    {
        width: 70%; height: 80vh;
    }   
}

@media only screen and (min-width: 1500px) {
    #sign #login-box
    {
        width: 60%; height: 80vh;
    }   
}
@media only screen and (min-width: 2000px) {
    #sign #login-box
    {
        width: 50%; height: 70vh;
    }
    #sign #login-box .login-box--form
    {
        height: 70vh;
    }   
}
@media only screen and (min-width: 2900px) {
    #sign #login-box
    {
        width: 40%; height: 60vh;
    }   
    #sign #login-box .login-box--form
    {
        height: 60vh;
    }
}


.breadcrumb-arrow {
    height: 36px;
    padding: 0;
    line-height: 36px;
    list-style: none;
    background-color: #e6e9ed
}
.breadcrumb-arrow li:first-child a {
    border-radius: 4px 0 0 4px;
    -webkit-border-radius: 4px 0 0 4px;
    -moz-border-radius: 4px 0 0 4px
}
.breadcrumb-arrow li, .breadcrumb-arrow li a, .breadcrumb-arrow li span {
    display: inline-block;
    vertical-align: top
}
.breadcrumb-arrow li:not(:first-child) {
    margin-left: -5px
}
.breadcrumb-arrow li+li:before {
    padding: 0;
    content: ""
}
.breadcrumb-arrow li span {
    padding: 0 10px
}
.breadcrumb-arrow li a, .breadcrumb-arrow li:not(:first-child) span {
    height: 36px;
    padding: 0 10px 0 25px;
    line-height: 36px
}
.breadcrumb-arrow li:first-child a {
    padding: 0 10px
}
.breadcrumb-arrow li a {
    position: relative;
    color: #fff;
    text-decoration: none;
    background-color: #3bafda;
    border: 1px solid #3bafda
}
.breadcrumb-arrow li:first-child a {
    padding-left: 10px
}
.breadcrumb-arrow li a:after, .breadcrumb-arrow li a:before {
    position: absolute;
    top: -1px;
    width: 0;
    height: 0;
    content: '';
    border-top: 18px solid transparent;
    border-bottom: 18px solid transparent
}
.breadcrumb-arrow li a:before {
    right: -10px;
    z-index: 3;
    border-left-color: #3bafda;
    border-left-style: solid;
    border-left-width: 11px
}
.breadcrumb-arrow li a:after {
    right: -11px;
    z-index: 2;
    border-left: 11px solid #2494be
}
.breadcrumb-arrow li a:focus, .breadcrumb-arrow li a:hover {
    background-color: #4fc1e9;
    border: 1px solid #4fc1e9
}
.breadcrumb-arrow li a:focus:before, .breadcrumb-arrow li a:hover:before {
    border-left-color: #4fc1e9
}
.breadcrumb-arrow li a:active {
    background-color: #2494be;
    border: 1px solid #2494be
}
.breadcrumb-arrow li a:active:after, .breadcrumb-arrow li a:active:before {
    border-left-color: #2494be
}
.breadcrumb-arrow li span {
    color: #434a54
}

.breadcrumb-arrow {
    height: 36px;
    padding: 0;
    line-height: 36px;
    list-style: none;
    background-color: #e6e9ed
}
.breadcrumb-arrow li:first-child a {
    border-radius: 4px 0 0 4px;
    -webkit-border-radius: 4px 0 0 4px;
    -moz-border-radius: 4px 0 0 4px
}
.breadcrumb-arrow li, .breadcrumb-arrow li a, .breadcrumb-arrow li span {
    display: inline-block;
    vertical-align: top
}
.breadcrumb-arrow li:not(:first-child) {
    margin-left: -5px
}
.breadcrumb-arrow li+li:before {
    padding: 0;
    content: ""
}
.breadcrumb-arrow li span {
    padding: 0 10px
}
.breadcrumb-arrow li a, .breadcrumb-arrow li:not(:first-child) span {
    height: 36px;
    padding: 0 10px 0 25px;
    line-height: 36px
}
.breadcrumb-arrow li:first-child a {
    padding: 0 10px
}
.breadcrumb-arrow li a {
    position: relative;
    color: #fff;
    text-decoration: none;
    background-color: #3bafda;
    border: 1px solid #3bafda
}
.breadcrumb-arrow li:first-child a {
    padding-left: 10px
}
.breadcrumb-arrow li a:after, .breadcrumb-arrow li a:before {
    position: absolute;
    top: -1px;
    width: 0;
    height: 0;
    content: '';
    border-top: 18px solid transparent;
    border-bottom: 18px solid transparent
}
.breadcrumb-arrow li a:before {
    right: -10px;
    z-index: 3;
    border-left-color: #3bafda;
    border-left-style: solid;
    border-left-width: 11px
}
.breadcrumb-arrow li a:after {
    right: -11px;
    z-index: 2;
    border-left: 11px solid #2494be
}
.breadcrumb-arrow li a:focus, .breadcrumb-arrow li a:hover {
    background-color: #4fc1e9;
    border: 1px solid #4fc1e9
}
.breadcrumb-arrow li a:focus:before, .breadcrumb-arrow li a:hover:before {
    border-left-color: #4fc1e9
}
.breadcrumb-arrow li a:active {
    background-color: #2494be;
    border: 1px solid #2494be
}
.breadcrumb-arrow li a:active:after, .breadcrumb-arrow li a:active:before {
    border-left-color: #2494be
}
.breadcrumb-arrow li span {
    color: #434a54
}
/*# sourceMappingURL=style.css.map */
.flat
{
    border-radius: 0px !important;
}
.clear-margin
{
    margin: 0px !important;
}
.clear-padding
{
    padding: 0px !important;
}

/*bootsnipp table panel with pagination*/
table .no
{
    width: 45px !important; 
    text-align: center;
}
table .action
{
    width: 145px !important; 
    text-align: center;
}

.space-between
{
    display: flex;
    justify-content: space-between;
}


.page-wrapper-full {
    margin-left: 0px !important;
    padding: 0px !important;
    position: relative;
    -webkit-transition: all 0.4s ease;
    -moz-transition: all 0.4s ease;
    transition: all 0.4s ease;
    left: 0; }

.reset-this * {
    animation : none;
    animation-delay : 0;
    animation-direction : normal;
    animation-duration : 0;
    animation-fill-mode : none;
    animation-iteration-count : 1;
    animation-name : none;
    animation-play-state : running;
    animation-timing-function : ease;
    backface-visibility : visible;
    background : 0;
    background-attachment : scroll;
    background-clip : border-box;
    background-color : transparent;
    background-image : none;
    background-origin : padding-box;
    background-position : 0 0;
    background-position-x : 0;
    background-position-y : 0;
    background-repeat : repeat;
    background-size : auto auto;
    border : 0;
    border-style : none;
    border-width : medium;
    border-color : inherit;
    border-bottom : 0;
    border-bottom-color : inherit;
    border-bottom-left-radius : 0;
    border-bottom-right-radius : 0;
    border-bottom-style : none;
    border-bottom-width : medium;
    border-collapse : separate;
    border-image : none;
    border-left : 0;
    border-left-color : inherit;
    border-left-style : none;
    border-left-width : medium;
    border-radius : 0;
    border-right : 0;
    border-right-color : inherit;
    border-right-style : none;
    border-right-width : medium;
    border-spacing : 0;
    border-top : 0;
    border-top-color : inherit;
    border-top-left-radius : 0;
    border-top-right-radius : 0;
    border-top-style : none;
    border-top-width : medium;
    bottom : auto;
    box-shadow : none;
    box-sizing : content-box;
    caption-side : top;
    clear : none;
    clip : auto;
    color : inherit;
    columns : auto;
    column-count : auto;
    column-fill : balance;
    column-gap : normal;
    column-rule : medium none currentColor;
    column-rule-color : currentColor;
    column-rule-style : none;
    column-rule-width : none;
    column-span : 1;
    column-width : auto;
    content : normal;
    counter-increment : none;
    counter-reset : none;
    cursor : auto;
    direction : ltr;
    display : inline;
    empty-cells : show;
    float : none;
    font : normal;
    font-family : inherit;
    font-size : medium;
    font-style : normal;
    font-variant : normal;
    font-weight : normal;
    height : auto;
    hyphens : none;
    left : auto;
    letter-spacing : normal;
    line-height : normal;
    list-style : none;
    list-style-image : none;
    list-style-position : outside;
    list-style-type : disc;
    margin : 0;
    margin-bottom : 0;
    margin-left : 0;
    margin-right : 0;
    margin-top : 0;
    max-height : none;
    max-width : none;
    min-height : 0;
    min-width : 0;
    opacity : 1;
    orphans : 0;
    outline : 0;
    outline-color : invert;
    outline-style : none;
    outline-width : medium;
    overflow : visible;
    overflow-x : visible;
    overflow-y : visible;
    padding : 0;
    padding-bottom : 0;
    padding-left : 0;
    padding-right : 0;
    padding-top : 0;
    page-break-after : auto;
    page-break-before : auto;
    page-break-inside : auto;
    perspective : none;
    perspective-origin : 50% 50%;
    position : static;
    /* May need to alter quotes for different locales (e.g fr) */
    quotes : '\201C' '\201D' '\2018' '\2019';
    right : auto;
    tab-size : 8;
    table-layout : auto;
    text-align : inherit;
    text-align-last : auto;
    text-decoration : none;
    text-decoration-color : inherit;
    text-decoration-line : none;
    text-decoration-style : solid;
    text-indent : 0;
    text-shadow : none;
    text-transform : none;
    top : auto;
    transform : none;
    transform-style : flat;
    transition : none;
    transition-delay : 0s;
    transition-duration : 0s;
    transition-property : none;
    transition-timing-function : ease;
    unicode-bidi : normal;
    vertical-align : baseline;
    visibility : visible;
    white-space : normal;
    widows : 0;
    width : auto;
    word-spacing : normal;
    z-index : auto;
    /* basic modern patch */
    all: initial;
    all: unset;
}

/* basic modern patch */

.reset-this-root {
    all: initial;
    * {
        all: unset;
    }
}